Bug 1437207 - When ceilometer Api is disabled, ceilometer user is not created causing stuff to fail
Summary: When ceilometer Api is disabled, ceilometer user is not created causing stuff...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-tripleo
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 11.0 (Ocata)
Assignee: Pradeep Kilambi
QA Contact: Sasha Smolyak
URL:
Whiteboard:
Depends On:
Blocks: 1382700
TreeView+ depends on / blocked
 
Reported: 2017-03-29 18:52 UTC by Pradeep Kilambi
Modified: 2017-05-17 20:15 UTC (History)
7 users (show)

Fixed In Version: openstack-tripleo-heat-templates-6.0.0-4.el7ost puppet-tripleo-6.3.0-9.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-17 20:15:56 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC
OpenStack gerrit 452540 None None None 2017-04-05 13:22:03 UTC
OpenStack gerrit 452541 None None None 2017-04-05 13:20:55 UTC
Launchpad 1677354 None None None 2017-03-29 19:33:23 UTC

Description Pradeep Kilambi 2017-03-29 18:52:19 UTC
When we deploy overcloud with disbale-ceilometer-api.yaml , it skips the cceilometer-api service. But that ties in with ceilometer user. So ceilometer user is not created in keystone. But since we still configure ceilometer.conf with ceilometer user, keystone auth fails when ceilometer-upgrade is run to talk to gnocchi.

Need to figure out how we can decouple ceilometer user creation from ceilometer API.

This seems to be in puppet-tripleo

https://github.com/openstack/puppet-tripleo/blob/master/manifests/profile/base/keystone.pp#L249-L251

Comment 1 Pradeep Kilambi 2017-03-29 18:59:05 UTC
Note more than ceilometer-upgrade fails, including agents when dispatching data.

Comment 4 Jon Schlueter 2017-04-07 14:40:05 UTC
For Beta of OSP 11 we can not disable ceilometer api due to this bug.

Comment 12 Sasha Smolyak 2017-04-23 12:40:42 UTC
Sanity tests with ceilo api disabled passed

Comment 13 errata-xmlrpc 2017-05-17 20:15:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.